Starcraft Installer

Discussion in 'Games' started by TheFallGuy, Oct 30, 2003.

  1. TheFallGuy macrumors member

    TheFallGuy

    Joined:
    Aug 20, 2003
    #1
    I'm trying to install Starcraft on my PB (brand new) and I'm getting some error that says:

    "Couldn't open installer archive. You must run the installer on the Starcraft CD."

    I've tried that, I've rebooted to see if that would work, but I just can't get the stupid thing to install on my computer.

    Does anyone know how I can do this, or where I can get some info on how to do this? Thanks!
     
  2. TheFallGuy thread starter macrumors member

    TheFallGuy

    Joined:
    Aug 20, 2003
    #2
    I have another question. Would games that are recommended for a powermac be able to run on a powerbook?

    Games like Halo for the mac (www.apple.com)? Jedi Knight?

    What do you think?
     
  3. Stike macrumors 65816

    Stike

    Joined:
    Jan 31, 2002
    Location:
    Germany
    #3
    If you have a brand new Powerbook, no matter what model, there is about 99 % chance that you can play current games like UT2003, Halo (hmm) and Jedi Knight II with no rpblems at all!

    The Starcraft installer could possibly require OS 9 to be booted? I don´t know if the installer runs on Classic, maybe. I had to install Diablo by installing OS 9 on my older G4... else, the archive wasn´t able to uncompress.
     
  4. TheFallGuy thread starter macrumors member

    TheFallGuy

    Joined:
    Aug 20, 2003
    #4
    " OS 9 to be booted? I don´t know if the installer runs on Classic, maybe. I had to install Diablo by installing OS 9 on my older G4... "

    Ok. I'm a mac newbie how do I do this?
     
  5. Stike macrumors 65816

    Stike

    Joined:
    Jan 31, 2002
    Location:
    Germany
    #5
    Well, if you have a NEW (I mean NEW) Powerbook, you most probably can´t boot into OS 9. When did you get the PB and what model is it?
    Did an OS 9 CD come with the PB?
    If you can use Classic to install the game, try that. If you cant boot into OS 9 (a seperate OS install) there is a chance you simply can´t install the game. Sorry for that :(
     
  6. xelterran macrumors 6502

    Joined:
    Dec 28, 2001
    #6
    you shouldnt need to install it in classic you can download an alternate installer from blizzards site here: http://ftp.blizzard.com/pub/starcraft/patches/Mac/Starcraft_Installer_1.05-B.sit you will then need to download the 1.10 upgrade patch for OS X (http://voodoofiles.com/10076) - basically you drag the contence of this folder into your "starcraft files" (you will find a carbonated version of SC here too "Starcraft (Carbon)").

    Check blizzards SC patch page here: http://www.blizzard.com/support/?id=msc0411p

    hope that helps :)
     
  7. Counterfit macrumors G3

    Counterfit

    Joined:
    Aug 20, 2003
    Location:
    sitting on your shoulder
  8. Stike macrumors 65816

    Stike

    Joined:
    Jan 31, 2002
    Location:
    Germany
    #8
    Hm, I can´t find an installer for Diablo2 though. Is there such a thing? I had to boot to 9 to install it :(
     
  9. xelterran macrumors 6502

    Joined:
    Dec 28, 2001
    #9
    i dont think so.. http://www.blizzard.com/support/?id=msc0387p
     
  10. TheFallGuy thread starter macrumors member

    TheFallGuy

    Joined:
    Aug 20, 2003
    #10
    Thanks! I'll try this out.

    I have one of the NEW powerbooks (aluminum). It's great, although I think I will need to send it in to get my monitor replaced. It didn't come with OS 9. Only OS X Jaguar. I'll be going to Panther soon.
     

Share This Page